import request from '@/utils/request'

import { business} from '@/api/index'




//responsibility
/**
 *粮食安全行政盟市长责任制-----考核评分权重----分页查询
 * @param {*上传数据obj} data
 * @param {*分页参数} page
 */
export function responScoringWeightFindByPage(data, page) {
    return request({
        url: `${business}scoringWeight/findByPage/${page.page}/${page.size}`,
        method: 'post',
        data: data
    })
}



/**
 * 粮食安全行政盟市长责任制-----考核评分权重-----考核评分权重----保存
 * @param data
 * @returns {*}
 */
export function save(data) {
  return request({
    url: `${business}/scoringWeight/save`,
    method: 'post',
    data: data
  })
}




/**
 *粮食安全行政盟市长责任制-----考核评分权重-----查询可选年分
 * @param {根据数据id} id
 */
export function responsibilityFindByYear(type) {
  return request({
    url: `${business}scoringWeight/findByYear/${type}`,
    method: 'get',
  })
}






/**
 *粮食安全行政盟市长责任制-----考核评分权重----查询考核等级设置
 * @param {根据数据id} id
 */
export function findByWeightRank(type,id) {
  return request({
    url: `${business}scoringWeight/findByWeightRank/${type}/${id}`,
    method: 'get',
  })
}



/**
 *粮食安全行政盟市长责任制-----考核评分权重----根据id查询考核内容--明细
 * @param {根据数据id} id
 */
export function findById(id) {
  return request({
    url: `${business}scoringWeight/findById/${id}`,
    method: 'get',
  })
}



/**
 * 粮食安全行政盟市长责任制-----考核评分权重----修改考核评分权重
 * @param {保存盟市下发评分表} data
 */

export function update(data) {
  return request({
    url: `${business}scoringWeight/update`,
    method: 'post',
    data: data
  })
}





/**
 * 粮食安全行政盟市长责任制-----考核评分权重----删除考核评分权重
 * @param {删除文件id} data
 */
export function scoringWeightDelete(data) {
  return request({
    url: `${business}scoringWeight/deletes`,
    method: 'delete',
    data: data
  })
}





/**
 * 粮食安全行政盟市长责任制-----考核评分权重----发布
 * @param {发布接口} id
 */


export function publish(id) {
  return request({
    url: `${business}scoringWeight/publish/${id}`,
  method: 'get',
})
}





/**
 *据年分和状态---考核评分权重--对象
 * @param {根据数据year} year 年分   status 状态  0-草稿；1-发布
 */
export function findByYearAndStatus(year,status) {
  return request({
    url: `${business}scoringWeight/findByYearAndStatus/${year}/${status}`,
    method: 'get',
  })
}











